//--------------------------------------------------------------------- 
#include "BMemoView.h" 
//--------------------------------------------------------------------- 
BMemoView::BMemoView(BRect frame,const char *name,uint32 resizingMode) 
    :BTextView(frame,name,BRect(0,0,frame.Width(),frame.Height()), 
               resizingMode,B_WILL_DRAW) 
{ 
    Modified=false;
} 
//--------------------------------------------------------------------- 
void BMemoView::MessageReceived(BMessage *msg) 
{ 
    switch(msg->what) 
    { 
        case B_UNDO: 
        case B_COPY: 
        case B_CUT: 
        case B_PASTE: 
            Modified=true; 
        default: 
            BTextView::MessageReceived(msg); 
    } 
} 
//--------------------------------------------------------------------- 
void BMemoView::KeyDown(const char *bytes,int32 numBytes) 
{ 
    switch(*bytes) 
    { 
        case B_LEFT_ARROW: 
        case B_RIGHT_ARROW: 
        case B_UP_ARROW: 
        case B_DOWN_ARROW: 
        case B_INSERT: 
        case B_HOME: 
        case B_END: 
        case B_PAGE_UP: 
        case B_PAGE_DOWN: 
        case B_FUNCTION_KEY: 
            break; 
        default: 
            Modified=true; 
    } 
    
    BTextView::KeyDown(bytes,numBytes); 
} 
//--------------------------------------------------------------------
void BMemoView::FrameResized(float width, float height)
{
    SetTextRect(Frame());
}
//--------------------------------------------------------------------