#ifndef BASEAPP 
#define BASEAPP 
//--------------------------------------------------------------------- 
#include <Be.h> 
#include "MainWindow.h" 
#include "BFindWindow.h" 
//--------------------------------------------------------------------- 
#define APPLICATION_SIGNATURE   "application/x-vnd.vow-betinyeditor" 
//--------------------------------------------------------------------- 
class BaseApp : public BApplication 
{ 
private: 
    BFilePanel *open_filepanel; 
    BString findword;
    BString replaceword;
    bool ignorecase;    
    BAppMainWindow *startwindow;
    font_family memofont_family;
    font_style memofont_style; 
    int32 memofont_size;
public: 
    BList *EditorList; 
    BaseApp(); 
    ~BaseApp(); 
    BAppMainWindow *AddEditor(void); 
    void MessageReceived(BMessage *msg); 
    void RefsReceived(BMessage *message); 
    void ReadyToRun(); 
}; 
//--------------------------------------------------------------------- 
#endif